Asset
Accesstoken recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a specific page in a result set.
The number of items per page in a result set.
Defines which field the resource list is sorted by.
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Example response
GET /v2/tenants/{tenantUid}/assets HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Example response
{
"items": [
{
"assetUid": "text",
"name": "text",
"description": "text",
"category": "BRANDING",
"isPublic": true,
"publicUrl": "text",
"mimeType": "text",
"size": "text",
"serviceOrderUids": [
"text"
]
},
{
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Accesstoken recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+falsefor self-hosted asset
^[A-Za-z0-9-_]*Example response
POST /v2/tenants/{tenantUid}/assets HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 134
{
"name": "text",
"category": "BRANDING",
"description": "text",
"isPublic": false,
"url": "text",
"assetUid": "text",
"serviceOrderUids": [
"text"
]
}Example response
{
"assetUid": "text",
"name": "text",
"description": "text",
"category": "BRANDING",
"isPublic": true,
"publicUrl": "text",
"mimeType": "text",
"size": "text",
"serviceOrderUids": [
"text"
],
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}Accesstoken recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to an asset
Example response
GET /v2/tenants/{tenantUid}/assets/{assetUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Example response
{
"assetUid": "text",
"name": "text",
"description": "text",
"category": "BRANDING",
"isPublic": true,
"publicUrl": "text",
"mimeType": "text",
"size": "text",
"serviceOrderUids": [
"text"
],
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}Accesstoken recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to an asset
Example response
POST /v2/tenants/{tenantUid}/assets/{assetUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/octet-stream
Accept: */*
Content-Length: 8
"binary"Example response
{
"assetUid": "text",
"name": "text",
"description": "text",
"category": "BRANDING",
"isPublic": true,
"publicUrl": "text",
"mimeType": "text",
"size": "text",
"serviceOrderUids": [
"text"
],
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}Accesstoken recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to an asset
for self-hosted asset
Example response
PUT /v2/tenants/{tenantUid}/assets/{assetUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 115
{
"name": "text",
"category": "BRANDING",
"description": "text",
"isPublic": true,
"url": "text",
"serviceOrderUids": [
"text"
]
}Example response
{
"assetUid": "text",
"name": "text",
"description": "text",
"category": "BRANDING",
"isPublic": true,
"publicUrl": "text",
"mimeType": "text",
"size": "text",
"serviceOrderUids": [
"text"
],
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}Accesstoken recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to an asset
No Content
No content
DELETE /v2/tenants/{tenantUid}/assets/{assetUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No Content
No content
Accesstoken recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to an asset
See Other
No content
GET /v2/tenants/{tenantUid}/assets/{assetUid}/download HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
See Other
No content
Last updated
Was this helpful?

